Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(13)

Issue 2024363002: Convert MimeRegistry to use mojo. (Closed)

Created:
2 years, 1 month ago by Sam McNally
Modified:
2 years, 1 month ago
Reviewers:
dcheng, nasko
CC:
Aaron Boodman, abarth-chromium, ben+mojo_chromium.org, blink-reviews, blink-reviews-api_chromium.org, chrome-apps-syd-reviews_chromium.org, chromium-reviews, Charlie Reis, creis+watch_chromium.org, darin (slow to review), darin-cc_chromium.org, dglazkov+blink, jam, mkwst+moarreviews-renderer_chromium.org, mlamouri+watch-content_chromium.org, nasko+codewatch_chromium.org, qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@message-mojom-magic
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Convert MimeRegistry to use mojo. This also adds an optional task runner parameter to ServiceRegistry::AddService() so mojo service factories can be run on their preferred thread without needing to write a boilerplate forwarding function to post to that thread. BUG=577685 Committed: https://crrev.com/c0fe274f846d0483a7ca32c1ba47875e854f6a1c Cr-Commit-Position: refs/heads/master@{#397959}

Patch Set 1 : #

Total comments: 6

Patch Set 2 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+149 lines, -118 lines) Patch
M content/browser/DEPS View 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/android/service_registry_android_impl.cc View 1 chunk +2 lines, -1 line 0 comments Download
A content/browser/mime_registry_impl.h View 1 1 chunk +30 lines, -0 lines 0 comments Download
A content/browser/mime_registry_impl.cc View 1 1 chunk +35 lines, -0 lines 0 comments Download
D content/browser/mime_registry_message_filter.h View 1 chunk +0 lines, -32 lines 0 comments Download
D content/browser/mime_registry_message_filter.cc View 1 chunk +0 lines, -41 lines 0 comments Download
M content/browser/renderer_host/render_process_host_impl.cc View 3 chunks +5 lines, -2 lines 0 comments Download
M content/common/content_message_generator.h View 1 chunk +0 lines, -1 line 0 comments Download
D content/common/mime_registry_messages.h View 1 chunk +0 lines, -19 lines 0 comments Download
M content/common/mojo/service_registry_impl.h View 2 chunks +12 lines, -3 lines 0 comments Download
M content/common/mojo/service_registry_impl.cc View 2 chunks +21 lines, -4 lines 0 comments Download
M content/content_browser.gypi View 3 chunks +5 lines, -5 lines 0 comments Download
M content/public/common/service_registry.h View 1 chunk +10 lines, -3 lines 0 comments Download
M content/renderer/renderer_blink_platform_impl.cc View 5 chunks +16 lines, -6 lines 0 comments Download
M ipc/ipc_message_start.h View 1 chunk +0 lines, -1 line 0 comments Download
M third_party/WebKit/public/BUILD.gn View 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/public/blink.gyp View 1 chunk +1 line, -0 lines 0 comments Download
A third_party/WebKit/public/platform/mime_registry.mojom View 1 chunk +10 lines, -0 lines 0 comments Download

Messages

Total messages: 26 (16 generated)
Sam McNally
+dcheng for *message* and third_party/WebKit +creis for content/
2 years, 1 month ago (2016-06-02 07:24:36 UTC) #10
Charlie Reis
I won't be able to get to this soon, so Nasko said he could review ...
2 years, 1 month ago (2016-06-02 16:27:53 UTC) #12
nasko
Couple of nits and a question to clarify this for myself. https://codereview.chromium.org/2024363002/diff/140001/content/browser/mime_registry_impl.cc File content/browser/mime_registry_impl.cc (right): ...
2 years, 1 month ago (2016-06-02 21:31:41 UTC) #15
Sam McNally
https://codereview.chromium.org/2024363002/diff/140001/content/browser/mime_registry_impl.cc File content/browser/mime_registry_impl.cc (right): https://codereview.chromium.org/2024363002/diff/140001/content/browser/mime_registry_impl.cc#newcode27 content/browser/mime_registry_impl.cc:27: const GetMimeTypeFromExtensionCallback& callback) { On 2016/06/02 21:31:41, nasko (slow) ...
2 years, 1 month ago (2016-06-02 23:49:39 UTC) #17
nasko
LGTM
2 years, 1 month ago (2016-06-03 15:54:46 UTC) #18
dcheng
LGTM Just to confirm: the new mojo method is sync because all the existing Blink ...
2 years, 1 month ago (2016-06-03 17:43:04 UTC) #19
Sam McNally
On 2016/06/03 17:43:04, dcheng wrote: > LGTM > > Just to confirm: the new mojo ...
2 years, 1 month ago (2016-06-05 23:41:15 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2024363002/180001
2 years, 1 month ago (2016-06-05 23:43:32 UTC) #22
commit-bot: I haz the power
Committed patchset #2 (id:180001)
2 years, 1 month ago (2016-06-06 01:38:11 UTC) #24
commit-bot: I haz the power
2 years, 1 month ago (2016-06-06 01:39:43 UTC) #26
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/c0fe274f846d0483a7ca32c1ba47875e854f6a1c
Cr-Commit-Position: refs/heads/master@{#397959}

Powered by Google App Engine
This is Rietveld 408576698